<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateLbmHubGroupReq StructType
 * @subpackage Structs
 */
class UpdateLbmHubGroupReq extends NameAndGUIDRequest
{
    /**
     * The newName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newName;
    /**
     * The description
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * The member1
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $member1;
    /**
     * The member2
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $member2;
    /**
     * The member3
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $member3;
    /**
     * Constructor method for UpdateLbmHubGroupReq
     * @uses UpdateLbmHubGroupReq::setNewName()
     * @uses UpdateLbmHubGroupReq::setDescription()
     * @uses UpdateLbmHubGroupReq::setMember1()
     * @uses UpdateLbmHubGroupReq::setMember2()
     * @uses UpdateLbmHubGroupReq::setMember3()
     * @param string $newName
     * @param string $description
     * @param string $member1
     * @param string $member2
     * @param string $member3
     */
    public function __construct($newName = null, $description = null, $member1 = null, $member2 = null, $member3 = null)
    {
        $this
            ->setNewName($newName)
            ->setDescription($description)
            ->setMember1($member1)
            ->setMember2($member2)
            ->setMember3($member3);
    }
    /**
     * Get newName value
     * @return string|null
     */
    public function getNewName()
    {
        return $this->newName;
    }
    /**
     * Set newName value
     * @param string $newName
     * @return UpdateLbmHubGroupReq
     */
    public function setNewName($newName = null)
    {
        // validation for constraint: string
        if (!is_null($newName) && !is_string($newName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($newName)), __LINE__);
        }
        $this->newName = $newName;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return UpdateLbmHubGroupReq
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($description)), __LINE__);
        }
        $this->description = $description;
        return $this;
    }
    /**
     * Get member1 value
     * @return string|null
     */
    public function getMember1()
    {
        return $this->member1;
    }
    /**
     * Set member1 value
     * @param string $member1
     * @return UpdateLbmHubGroupReq
     */
    public function setMember1($member1 = null)
    {
        // validation for constraint: string
        if (!is_null($member1) && !is_string($member1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($member1)), __LINE__);
        }
        $this->member1 = $member1;
        return $this;
    }
    /**
     * Get member2 value
     * @return string|null
     */
    public function getMember2()
    {
        return $this->member2;
    }
    /**
     * Set member2 value
     * @param string $member2
     * @return UpdateLbmHubGroupReq
     */
    public function setMember2($member2 = null)
    {
        // validation for constraint: string
        if (!is_null($member2) && !is_string($member2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($member2)), __LINE__);
        }
        $this->member2 = $member2;
        return $this;
    }
    /**
     * Get member3 value
     * @return string|null
     */
    public function getMember3()
    {
        return $this->member3;
    }
    /**
     * Set member3 value
     * @param string $member3
     * @return UpdateLbmHubGroupReq
     */
    public function setMember3($member3 = null)
    {
        // validation for constraint: string
        if (!is_null($member3) && !is_string($member3)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($member3)), __LINE__);
        }
        $this->member3 = $member3;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return UpdateLbmHubGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
